View object.
curl --request GET \
--url https://api.coinfer.ai/api/object/{objid} \
--header 'X-Share-Password: <api-key>'import requests
url = "https://api.coinfer.ai/api/object/{objid}"
headers = {"X-Share-Password": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Share-Password': '<api-key>'}};
fetch('https://api.coinfer.ai/api/object/{objid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinfer.ai/api/object/{objid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Share-Password: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinfer.ai/api/object/{objid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Share-Password", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinfer.ai/api/object/{objid}")
.header("X-Share-Password", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinfer.ai/api/object/{objid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Share-Password"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "ok",
"data": {
"object_type": "experiment",
"model_name": "<string>",
"short_id": "",
"name": "",
"model_id": "",
"status": "",
"meta": "<unknown>",
"n_chains": 0,
"n_variables": 0,
"n_samples": 0,
"sample_update_time": "",
"run_on": "",
"input": "<string>",
"output": "<string>",
"workflow_id": "",
"workflow_name": ""
}
}{
"status": "error",
"code": "<string>",
"message": "<string>"
}Object
View object.
View object of certain ID.
Example
GET /api/object/M1234567 # view model data
GET /api/object/X1234567 # view experiment data
GET /api/object/S1234566 # view share data
GET
/
api
/
object
/
{objid}
View object.
curl --request GET \
--url https://api.coinfer.ai/api/object/{objid} \
--header 'X-Share-Password: <api-key>'import requests
url = "https://api.coinfer.ai/api/object/{objid}"
headers = {"X-Share-Password": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Share-Password': '<api-key>'}};
fetch('https://api.coinfer.ai/api/object/{objid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinfer.ai/api/object/{objid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Share-Password: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinfer.ai/api/object/{objid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Share-Password", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinfer.ai/api/object/{objid}")
.header("X-Share-Password", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinfer.ai/api/object/{objid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Share-Password"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "ok",
"data": {
"object_type": "experiment",
"model_name": "<string>",
"short_id": "",
"name": "",
"model_id": "",
"status": "",
"meta": "<unknown>",
"n_chains": 0,
"n_variables": 0,
"n_samples": 0,
"sample_update_time": "",
"run_on": "",
"input": "<string>",
"output": "<string>",
"workflow_id": "",
"workflow_name": ""
}
}{
"status": "error",
"code": "<string>",
"message": "<string>"
}Authorizations
SharingAuthGlobalAuth
Path Parameters
Query Parameters
Available options:
model, experiment, share, event, callback, relation, data, workflow, If this field is empty, returns the latest version of the objects.
otherwise returns the specified share snapshot
Available options:
csv, grist, arviz view analyzer result